PAec Class Reference

`#include <paec.h>`

Inheritance diagram for PAec:

## Public Member Functions

Construction
| PAec (int _clock=8000, int _sampletime=30)
| Create a new canceler. More...
| ~PAec ()
void | Send (BYTE *buffer, unsigned &length)
| @name Basic operations More...
void | Receive (BYTE *buffer, unsigned &length)
| Playing Channel Should be called after decoding and prior to playing. More...
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

PMutex | readwritemute
PQueueChannel * | echo_chan
SpeexEchoState * | echoState
SpeexPreprocessState * | preprocessState
int | clockrate
int | bufferTime
PInt64 | minbuffer
PInt64 | maxbuffer
int | sampleTime
ReceiveTimeQueue | rectime
PTimeInterval | lastTimeStamp
PBoolean | receiveReady
void * | ref_buf
void * | echo_buf
void * | e_buf
void * | noise

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

PAec::PAec | ( | int | _clock = `8000`,
|  | int | _sampletime = `30`
| ) |  |

Create a new canceler.

PAec::~PAec | ( |  | ) |

## Member Function Documentation

void PAec::Receive | ( | BYTE * | buffer,
|  | unsigned & | length
| ) |  |

Playing Channel Should be called after decoding and prior to playing.

void PAec::Send | ( | BYTE * | buffer,
|  | unsigned & | length
| ) |  |

@name Basic operations

Recording Channel. Should be called prior to encoding audio

## Member Data Documentation

int PAec::bufferTime

protected

int PAec::clockrate

protected

void* PAec::e_buf

protected

void* PAec::echo_buf

protected

PQueueChannel* PAec::echo_chan

protected

SpeexEchoState* PAec::echoState

protected

PTimeInterval PAec::lastTimeStamp

protected

PInt64 PAec::maxbuffer

protected

PInt64 PAec::minbuffer

protected

void* PAec::noise

protected

SpeexPreprocessState* PAec::preprocessState

protected

PMutex PAec::readwritemute

protected

PBoolean PAec::receiveReady

protected

ReceiveTimeQueue PAec::rectime

protected

void* PAec::ref_buf

protected

int PAec::sampleTime

protected

The documentation for this class was generated from the following file:

- paec.h